<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Note</title>
    <style>
    body {
        background-image: linear-gradient(#AC46A1, #C05299, #D55D92, #EA698B);
    }

    .header {
        background-image: linear-gradient(#b5179e, #D100D1, #D100D1, #b5179e);
        padding: 20px;
        text-align: center;
        color: white;
        font-size: 30px;
        border-radius: 10px;
    }

    table, td, th {
        border: 1px solid #892b64;
    }

    table {
        border-collapse: collapse;
        width: 100%;
        color: white;
        margin-top: 30px;
    }

    th, td {
        text-align: left;
        padding: 8px;
    }

    tr:nth-child(even){
        background-image: linear-gradient(#f20089, #e500a4);
    }

    tr:nth-child(odd){
        background-image: linear-gradient(#bc00dd, #db00b6);
    }

    th {
        text-align: center;
        background-image: linear-gradient(#a100f2, #b100e8, #bc00dd);
        color: white;
        font-size: 14pt;
    }

    </style>
</head>

<body>
    {% include "lab4_navbar.html" %}

    <div class="header">
      <h1>DAFTAR PESAN</h1>
      <p>Selamat membaca!</p>
    </div>

    <table>
      <tr>
        <th>Penerima</th>
        <th>Pengirim</th>
        <th>Judul Pesan</th>
        <th>Isi Pesan</th>
      </tr>
      {% for note in notes %}
      <tr>
        <td>{{note.penerima}}</td>
        <td>{{note.pengirim}}</td>
        <td>{{note.judul}}</td>
        <td>{{note.pesan}}</td>
      </tr>
      {% endfor %}
    </table>
</body>
</html>